Skip to main content
DELETE
/
v1
/
sandboxes
/
{id}
/
preview-urls
/
{grant_id}
Revoke a browser preview grant
import requests

url = "https://api.13-215-85-171.sslip.io/v1/sandboxes/{id}/preview-urls/{grant_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
{
  "success": true,
  "grant": {
    "id": "<string>",
    "sandbox_id": "<string>",
    "port": 123,
    "token_kinds": [],
    "principal_kind": "user",
    "issued_at": "2023-11-07T05:31:56Z",
    "expires_at": "2023-11-07T05:31:56Z",
    "use_count": 123,
    "http_request_count": 123,
    "websocket_connection_count": 123,
    "bytes_in_count": 123,
    "bytes_out_count": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "principal_id": "<string>",
    "revoked_at": "2023-11-07T05:31:56Z",
    "first_used_at": "2023-11-07T05:31:56Z",
    "last_used_at": "2023-11-07T05:31:56Z",
    "last_error_code": "<string>",
    "last_error_at": "2023-11-07T05:31:56Z",
    "disabled_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Path Parameters

id
string
required

Sandbox ID (e.g. sb_a1b2c3d4)

grant_id
string
required

Durable preview grant ID.

Pattern: ^pvg_[0-9a-f]{32}$

Response

Preview grant revoked

success
boolean
required
grant
object
required